﻿
$ErrorActionPreference = 'Stop';
$url32        = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/ecfc84fc-4cdd-4e0f-b436-027e4cc75967/MicrosoftEdgeDevEnterpriseX86.msi'
$url64      = 'http://dl.delivery.mp.microsoft.com/filestreamingservice/files/dd43199f-85a3-45aa-86e7-a485998df8c7/MicrosoftEdgeDevEnterpriseX64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI'
  url           = $url32
  url64bit      = $url64

  softwareName  = 'Microsoft Edge Dev'

  checksum32      = '35a18e4dadee742a4300f406f6361c1f6370adc33f49c02e8b13c472859813fb'
  checksumType  = 'sha256'
  checksum64    = 'b0e5b86c3c210441ddccc50594d669084fb2408214ad41ba72fb5fae8b2a5274'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs










    








